Calling all Drupal developers!
Help us get this on the first page of Digg. DIGG NOW!
Help us get this on the first page of Digg. DIGG NOW!
1.4.2.1 (checked in on 2008/03/06 at 15:38:38 by rz)
Wizard-style interface for Asset.
| Name | Description |
|---|---|
| assetfield_js_callback | |
| asset_wizard_add | |
| asset_wizard_browse | Step 1: Display a browsable list of assets |
| asset_wizard_elements | Implementation of hook_elements This is where we add the link to textareas |
| asset_wizard_formats | Step 2: Display a list of available formats for a given asset |
| asset_wizard_format_options | Step 3: Display the options form |
| asset_wizard_format_options_form | Form Builder for Step 3 |
| asset_wizard_format_options_form_submit | Sumbit handler for Step 3 |
| asset_wizard_get_config | Load the current asset wizard config array, passed in throught $_GET['config'] Options for config are 'macro' (default), 'id', or the name of a cck field |
| asset_wizard_get_path | |
| asset_wizard_help | |
| asset_wizard_js_settings | |
| asset_wizard_main | |
| asset_wizard_menu | Implementation of hook_menu(). |
| asset_wizard_methods | |
| asset_wizard_perm | Implementation of hook_perm(). |
| asset_wizard_preview | Step 4: Display a preview of the formatted asset |
| asset_wizard_set_breadcrumb | Set breadcrumb based on asset heirarchy |
| asset_wizard_textarea | The #process callback function for the textareas |
| asset_wizard_textfield2 | The #process callback function for the textfield |
| tbl | Wrapper for l() function to add thickbox class and query params |
| theme_assetfield | Format an assetfield. |
| theme_asset_wizard_browse | Wizard Step 1: Display the icon list for browsing |
| theme_asset_wizard_formats | Wizard Step 2: Display the list of available formats |
| theme_asset_wizard_form_buttons | |
| theme_asset_wizard_links | |
| theme_asset_wizard_main | |
| theme_asset_wizard_page | |
| theme_asset_wizard_preview | Wizard Step 3: Display a preview |
| theme_asset_wizard_selected | |
| theme_asset_wizard_textarea_link | Theme the textarea link |
| theme_asset_wizard_textfield_preview | |
| _asset_wizard_element_match | always ignore certain textareas based on element attributes (mainly #id) |
| _asset_wizard_page_match | Should we show the insert asset link, determined by admin setting Borrowed from tinymce.module |
| _asset_wizard_truncate |